Author Topic: Issue with IonCube Loader for PHP Version 7.3.2  (Read 1604 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Issue with IonCube Loader for PHP Version 7.3.2
« on: March 11, 2019, 05:08:55 AM »
I have updated php to PHP Version 7.3.2 and i am using FPM/FastCGI & CGI/FastCGI with PHP Version 7.3.2 , & i want to use latest  ioncube_loader_lin_7.3.so for PHP Version 7.3.2 But there is no ioncube_loader_lin_7.3.so & ioncube_loader_lin_7.3_ts.so for PHP Version 7.3.2 .

# cd /usr/local/ioncube/
# ll
-rw-rw-r-- 1 507 507  468496 Jul 26  2018 ioncube_loader_lin_4.1.so
-rw-rw-r-- 1 507 507  468080 Jul 26  2018 ioncube_loader_lin_4.2.so
-rw-rw-r-- 1 507 507  468752 Jul 26  2018 ioncube_loader_lin_4.3.so
-rw-rw-r-- 1 507 507  486832 Jul 26  2018 ioncube_loader_lin_4.3_ts.so
-rw-rw-r-- 1 507 507  471824 Jul 26  2018 ioncube_loader_lin_4.4.so
-rw-rw-r-- 1 507 507  490960 Jul 26  2018 ioncube_loader_lin_4.4_ts.so
-rw-rw-r-- 1 507 507  480560 Jul 26  2018 ioncube_loader_lin_5.0.so
-rw-rw-r-- 1 507 507  494352 Jul 26  2018 ioncube_loader_lin_5.0_ts.so
-rw-rw-r-- 1 507 507 1102032 Jul 26  2018 ioncube_loader_lin_5.1.so
-rw-rw-r-- 1 507 507 1142928 Jul 26  2018 ioncube_loader_lin_5.1_ts.so
-rw-rw-r-- 1 507 507 1141328 Jul 26  2018 ioncube_loader_lin_5.2.so
-rw-rw-r-- 1 507 507 1181040 Jul 26  2018 ioncube_loader_lin_5.2_ts.so
-rw-rw-r-- 1 507 507 1234392 Jul 26  2018 ioncube_loader_lin_5.3.so
-rw-rw-r-- 1 507 507 1287672 Jul 26  2018 ioncube_loader_lin_5.3_ts.so
-rw-rw-r-- 1 507 507 1505168 Jul 26  2018 ioncube_loader_lin_5.4.so
-rw-rw-r-- 1 507 507 1591408 Jul 26  2018 ioncube_loader_lin_5.4_ts.so
-rw-rw-r-- 1 507 507 1518896 Jul 26  2018 ioncube_loader_lin_5.5.so
-rw-rw-r-- 1 507 507 1600112 Jul 26  2018 ioncube_loader_lin_5.5_ts.so
-rw-rw-r-- 1 507 507 1483992 Jul 26  2018 ioncube_loader_lin_5.6.so
-rw-rw-r-- 1 507 507 1544376 Jul 26  2018 ioncube_loader_lin_5.6_ts.so
-rw-rw-r-- 1 507 507 1245064 Jul 26  2018 ioncube_loader_lin_7.0.so
-rw-rw-r-- 1 507 507 1300456 Jul 26  2018 ioncube_loader_lin_7.0_ts.so
-rw-rw-r-- 1 507 507 1334424 Jul 26  2018 ioncube_loader_lin_7.1.so
-rw-rw-r-- 1 507 507 1411064 Jul 26  2018 ioncube_loader_lin_7.1_ts.so
-rw-rw-r-- 1 507 507 1389288 Jul 26  2018 ioncube_loader_lin_7.2.so
-rw-rw-r-- 1 507 507 1458952 Jul 26  2018 ioncube_loader_lin_7.2_ts.so
-rw-r--r-- 1 507 507   10768 Jul 27  2018 LICENSE.txt
-rw-r--r-- 1 507 507  183845 Jul 27  2018 loader-wizard.php
-rw-r--r-- 1 507 507    2195 Jul 27  2018 README.txt
-rw-r--r-- 1 507 507   72816 Jul 27  2018 USER-GUIDE.pdf
-rw-r--r-- 1 507 507   10975 Jul 27  2018 USER-GUIDE.txt

Someone says that download the latest ioncube loader from http://mail.thann.org/alkaid/ioncube/ and use it .

So How can i use latest ioncube_loader_lin_7.3.so for my latest PHP Version 7.3.2 ?

Offline
*
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #1 on: March 11, 2019, 03:55:09 PM »
sh /scripts/update_ioncube
will get you the latest update
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
***
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #2 on: March 11, 2019, 06:30:48 PM »
Hi,

I've compiled the PHP version 7.2.15 (with PHP Version Switcher v2) , but at the end of the php-rebuild file I saw the following:

..........
'ioncube_loader_lin_7.1_ts.so' -> '/usr/local/ioncube/ioncube_loader_lin_7.1_ts.so'
'ioncube_loader_lin_7.2.so' -> '/usr/local/ioncube/ioncube_loader_lin_7.2.so'
'ioncube_loader_lin_7.2_ts.so' -> '/usr/local/ioncube/ioncube_loader_lin_7.2_ts.so'
'loader-wizard.php' -> '/usr/local/ioncube/loader-wizard.php'
yes: standard output: Broken pipe
yes: write error

Please, what is the problem?

Thanks in advance!

BR
Venty

Offline
*
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #3 on: March 13, 2019, 09:27:44 AM »
sh /scripts/update_ioncube
will get you the latest update

I used it ( sh /scripts/update_ioncube ) and check the location and found that IonCube Loader for PHP Version 7.3.2 is missing .

Also i tried Php Settings >> Php Addons >> Install IonCube Loader and again found that the  IonCube Loader for PHP Version 7.3.2 is missing on /usr/local/ioncube/   

So Please update the script for smooth operation.
.

Offline
***
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #4 on: April 08, 2019, 07:21:11 AM »
sh /scripts/update_ioncube
will get you the latest update

I used it ( sh /scripts/update_ioncube ) and check the location and found that IonCube Loader for PHP Version 7.3.2 is missing .

Also i tried Php Settings >> Php Addons >> Install IonCube Loader and again found that the  IonCube Loader for PHP Version 7.3.2 is missing on /usr/local/ioncube/   

So Please update the script for smooth operation.
.

Is there any progress...?!?

Offline
*
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #5 on: April 09, 2019, 04:04:58 AM »
php 7.3.2 is using ioncube 7.3
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
***
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #6 on: April 09, 2019, 01:34:38 PM »
php 7.3.2 is using ioncube 7.3
php 7.3.3 and l....??
Can I use PHP switcher to compilation PHP 7.3.3 with ioncube 7.3....???

Offline
*****
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #7 on: April 12, 2019, 11:46:38 AM »
Hi, yes you can and it must be working.
You can ask me to solve any problem with your server for some money in pm  ;)
Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor
Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp

Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
***
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #8 on: April 14, 2019, 01:27:11 PM »
Hi, yes you can and it must be working.

Hi!
OK thanks..
But IonCube is not in the list of options when compiling the PHP 7.3 and later versions with PCP switcher..

BR
Venty

Offline
***
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #9 on: April 15, 2019, 08:24:36 PM »
I suggest you read up on what ioncube is and where it comes from...It is not part of the open source php project. Fundamentally different philosophies.

Offline
***
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #10 on: April 16, 2019, 02:54:58 PM »
I suggest you read up on what ioncube is and where it comes from...It is not part of the open source php project. Fundamentally different philosophies.

Hi,

you want to tell me that ioncube not need for the normal work of PHP and CWP...??

BR

Venty

Offline
**
Re: Issue with IonCube Loader for PHP Version 7.3.2
« Reply #11 on: April 25, 2019, 04:58:10 PM »
I suggest you read up on what ioncube is and where it comes from...It is not part of the open source php project. Fundamentally different philosophies.

Hi,

you want to tell me that ioncube not need for the normal work of PHP and CWP...??

BR

Venty


Hi

Forget that quotes ,

Use the below options , it's working for me .
# sh /scripts/update_ioncube

Php Settings >> Php Addons >> Install IonCube Loader